=== debian/changelog ===
gammaray (1.1.98) beta; urgency=low

  * 1.1.98 beta release

 -- Allen Winter <allen.winter@kdab.com>  Wed, 27 Jun 2012 14:10:14 +0000
