=== core/CMakeLists.txt ===
--- 
+++ 
@@ -10,15 +10,14 @@
 )
 
 set(gammaray_srcs
-  ${CMAKE_SOURCE_DIR}/3rdparty/kde/krecursivefilterproxymodel.cpp
-  ${CMAKE_SOURCE_DIR}/3rdparty/kde/kfilterproxysearchline.cpp
-  ${CMAKE_SOURCE_DIR}/3rdparty/qt/resourcemodel.cpp
+  ../3rdparty/kde/krecursivefilterproxymodel.cpp
+  ../3rdparty/kde/kfilterproxysearchline.cpp
+  ../3rdparty/qt/resourcemodel.cpp
 
   util.cpp
   aboutpluginsdialog.cpp
   mainwindow.cpp
   metaobject.cpp
-  metaobjecttreemodel.cpp
   metaobjectrepository.cpp
   metaproperty.cpp
   metapropertymodel.cpp
@@ -80,7 +79,6 @@
   tools/connectioninspector/connectioninspector.cpp
   tools/fontbrowser/fontbrowser.cpp
   tools/localeinspector/localeinspector.cpp
-  tools/metaobjectbrowser/metaobjectbrowser.cpp
   tools/metatypebrowser/metatypebrowser.cpp
   tools/modelinspector/modelinspector.cpp
   tools/modelinspector/modelinspectorwidget.cpp
