=== include/CMakeLists.txt ===
set(GAMMARAY_HEADERS
  metatypedeclarations.h
  objectmodel.h
  objectmodelbase.h
  objecttypefilterproxymodel.h
  probeinterface.h
  singlecolumnobjectproxymodel.h
  toolfactory.h
  util.h
)

install(FILES ${GAMMARAY_HEADERS} DESTINATION include/gammaray/)
