=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -62,5 +62,3 @@
     endif()
   endif()
 endif()
-
-add_subdirectory(manual)
