=== debian/changelog ===
gammaray (1.2.1-2) unstable; urgency=low

  * Build-depend on libgraphviz-dev instead of dummy transitional
    graphviz-dev.
  * Fix build on GNU Hurd.
  * Don't build core/hooking/*.cpp. Function overwriter is used only on
    Windows and Mac, disabling it fixes building GammaRay on other archs
    than i386 and amd64.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 06 Sep 2012 15:45:25 +0200

gammaray (1.2.1-1) unstable; urgency=low

  * Initial release. (Closes: #654667)

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 21 Aug 2012 10:48:10 +0200
