## gammaray 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 set(GAMMARAY_VERSION_MAJOR "1")
 set(GAMMARAY_VERSION_MINOR "2")
-set(GAMMARAY_VERSION_PATCH "1")
+set(GAMMARAY_VERSION_PATCH "2")
 set(GAMMARAY_VERSION "${GAMMARAY_VERSION_MAJOR}.${GAMMARAY_VERSION_MINOR}.${GAMMARAY_VERSION_PATCH}")
 set(GAMMARAY_VERSION_STRING "${GAMMARAY_VERSION}")
 
@@ -185,6 +185,9 @@
 if(GAMMARAY_UNKNOWN_CXX_MANGLED_NAMES)
   add_definitions(-DGAMMARAY_UNKNOWN_CXX_MANGLED_NAMES)
 endif()
+
+include(CheckIncludeFiles)
+check_include_files(stdint.h HAVE_STDINT_H)
 
 configure_file(
   ${CMAKE_CURRENT_SOURCE_DIR}/config-gammaray.h.cmake
