=== plugins/objectvisualizer/CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,7 @@
 target_link_libraries(gammaray_objectvisualizer_plugin
   ${QT_QTCORE_LIBRARIES}
   ${QT_QTGUI_LIBRARIES}
+  ${VTK_LIBRARIES}
   QVTK
   gammaray_probe
 )
