=== debian/changelog ===
gammaray (1.2.2-1) unstable; urgency=low

  * New upstream release.
  * Removed d/patches/dont-build-functionoverwriter.patch and
    debian/patches/gnu-hurd-build-fix.patch (applied upstream).
  * Refreshed d/patches/gammaray-probe-versioned-soname.patch.
  * Bump Standards-Version to 3.9.4.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 22 Dec 2012 18:17:04 +0100
