=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                gdb,
                xauth,
                xvfb
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/gammaray.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/gammaray.git
 Homepage: http://www.kdab.com/gammaray
